Skip to main content
`Ctrl`+`K`

# PetscSortedCheckDupsInt

Checks if a sorted `PetscInt` array has duplicates

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortedCheckDupsInt(PetscCount n, const PetscInt X[], PetscBool *flg)

Not Collective

## Input Parameters

- n - number of values

- X - sorted array of `PetscInt`

## Output Parameter

- flg - True if the array has duplications, otherwise false

## See Also

`PetscSortInt()`, `PetscCheckDupsInt()`, `PetscSortRemoveDupsInt()`, `PetscSortedRemoveDupsInt()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages